Public Class Form1

    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        ' Check for blank entry.
        Dim num_items_txt As String = txtNumItems.Text
        If num_items_txt.Length < 1 Then
            MessageBox.Show("Please enter Num Items")
            txtNumItems.Focus()
            Exit Sub
        End If

        ' See if its numeric.
        If Not IsNumeric(num_items_txt) Then
            MessageBox.Show("Num Items must be a number")
            txtNumItems.Select(0, num_items_txt.Length)
            txtNumItems.Focus()
            Exit Sub
        End If

        ' Assign the value.
        Dim num_items As Integer
        Try
            num_items = Integer.Parse(txtNumItems.Text)
        Catch ex As Exception
            MessageBox.Show("Error in Num Items." & vbCrLf & ex.Message)
            txtNumItems.Select(0, num_items_txt.Length)
            txtNumItems.Focus()
            Exit Sub
        End Try
        ' Check that the value is between 1 and 100.
        If num_items < 1 Or num_items > 100 Then
            MessageBox.Show("Num Items must be between 1 and 100")
            txtNumItems.Select(0, num_items_txt.Length)
            txtNumItems.Focus()
            Exit Sub
        End If

        MessageBox.Show("Making " & num_items & " items")
    End Sub

    Private Sub SortOrderItems(ByVal the_order As Order)
        ' Validate input.
        Debug.Assert(the_order.Items IsNot Nothing, "No items in order")
        Debug.Assert(the_order.Customer IsNot Nothing, "No customer in order")
        Debug.Assert(the_order.Items.Count < 100, "Too many order items")
        '...
        ' Sort the items.
        '...
        ' Validate output.
#If DEBUG Then
        ' Verify that the items are sorted.
        Dim order_item1 As OrderItem
        Dim order_item2 As OrderItem
        order_item1 = DirectCast(the_order.Items(1), OrderItem)
        For i As Integer = 2 To the_order.Items.Count
            order_item2 = DirectCast(the_order.Items(i), OrderItem)
            Debug.Assert(order_item1.Price <= order_item2.Price, _
            "Order items not properly sorted")
            order_item1 = order_item2
        Next i
#End If
    End Sub
End Class

Public Class Order
    Public Items As Collection
    Public Customer As Person
End Class
Public Class OrderItem
    Public Price As Decimal
End Class
Public Class Person

End Class